Reinforcement BentShapeRebar/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommandAddon/it|Name=Arch Rebar BentShape|Name/it=Armatura sagomata|Workbenches=Arch|Addon=Reinforcement|MenuLocation=Arch → Strumenti armatura|Short...")
(Created page with "==Descrizione==")
Line 1: Line 1:
{{GuiCommandAddon/it|Name=Arch Rebar BentShape|Name/it=Armatura sagomata|Workbenches=[[Arch Module/it|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Strumenti armatura|Shortcut=None|SeeAlso=[[Arch_Rebar/it|Armatura]], [[Arch_Rebar_UShape/it|Armatura a U]], [[Arch Rebar Straight/it|Armatura dritta]], [[Arch_Rebar_LShape/it|Armatura a L]], [[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch_Rebar_Helical/it|Armatura elicoidale]]}}
{{GuiCommandAddon/it|Name=Arch Rebar BentShape|Name/it=Armatura sagomata|Workbenches=[[Arch Module/it|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Strumenti armatura|Shortcut=None|SeeAlso=[[Arch_Rebar/it|Armatura]], [[Arch_Rebar_UShape/it|Armatura a U]], [[Arch Rebar Straight/it|Armatura dritta]], [[Arch_Rebar_LShape/it|Armatura a L]], [[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch_Rebar_Helical/it|Armatura elicoidale]]}}


==Description==
==Descrizione==


The {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} tool allows user to create a bent shape reinforcing bar in the structural element.
The {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} tool allows user to create a bent shape reinforcing bar in the structural element.

Revision as of 09:39, 11 February 2018

Armatura sagomata

Posizione nel menu
Arch → Strumenti armatura
Ambienti
Arch
Avvio veloce
None
Vedere anche
Armatura, Armatura a U, Armatura dritta, Armatura a L, Staffe armatura, Armatura elicoidale
 
Questo comando fa parte del Addon Reinforcement, che è possibile installare tramite il menu Strumenti → Addons Manager

Descrizione

The Bent Shape Rebar tool allows user to create a bent shape reinforcing bar in the structural element.

How to use

  1. Create a structure element
  2. Select any face of the structure
  3. Then select Bent Shape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Properties

  • DatiOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DatiFront Cover: The distance between rebar and selected face.
  • DatiLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DatiRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DatiBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatiTop Cover: The distance between rebar from the top face of the structure.
  • DatiAnchor Length: It is the arm's length of bent shape rebar.
  • DatiBent Angle: It decides angle in bent shape rebar.
  • DatiAmount: The amount of rebars.
  • DatiSpacing: The distance between the axes of each bar.

Scripting

The Bent Shape Rebar tool can by used in macros and from the python console by using the following function:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The Bent Shape Rebar have four different orientations:
    • Bottom
    • Top
    • Left
    • Right
  • Adds a Bent Shape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating Bent Shape rebar.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Changing properties of Bent Shape rebar.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")